## snakemake 6.15.1

=== debian/changelog ===
snakemake (6.15.1-2) unstable; urgency=medium

  * Timeout and retry an intermittently hanging autopkgtest.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Feb 2022 22:35:19 +0000

snakemake (6.15.1-1~exp1) experimental; urgency=medium

  * New upstream release.  Refresh patches, d/copyright.
  * Split up the binary package (main, -doc) to save space.
  * Tests: skip an FTP-using test and 2 new conda-using tests,
    mark as needs-internet, copy the test tree to avoid writing to it.
  * Don't ship the test suite, as some of it doesn't work from a
    non-writable directory.
  * Reproducibility: fix sphinx locale,
    skip a test that fails under faketime.
  * salsa-ci: ignore expected Lintian error, enable diffoscope.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 02 Feb 2022 07:36:20 +0000
