=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://github.com/snakemake/snakemake/releases/latest .*/v?@ANY_VERSION@@ARCHIVE_EXT@
