## snakemake 6.15.5

=== debian/changelog ===
snakemake (6.15.5-1) unstable; urgency=medium

  * Upstream bugfix release.
  * Remove drmaa Recommends, as that package is broken (see #951704).
  * Tests: skip peppy tests (not in Debian), use Python 3 subprocesses.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Feb 2022 14:53:05 +0000
