=== debian/control ===
--- 
+++ 
@@ -94,7 +94,6 @@
             python3-boto3,
             python3-botocore,
             python3-connection-pool,
-            python3-drmaa,
             python3-dropbox,
             python3-flask,
             python3-ftputil,
