## snakemake 7.8.3

=== debian/changelog ===
snakemake (7.8.3-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra]
  * New upstream version 7.8.3
  * Refresh/Rediff patches
  * Mark tests offline even on timeouterror
  * Embed retry python mod code and modify
    import path until python-retry is packaged
  * Remove yte dep for now

  [ Rebecca N. Palmer ]
  * New upstream release.  Refresh patches, d/copyright.
  * Skip some more unrunnable-in-Debian tests.
  * Update dependencies.
  * Update Lintian overrides.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 15:38:25 +0530
