=== debian/control ===
--- 
+++ 
@@ -19,19 +19,16 @@
                python3-datrie,
                python3-docutils,
                python3-dropbox <!nocheck>,
-               python3-filelock,
                python3-flask <!nocheck>,
                python3-git,
-               python3-jinja2,
+               python3-jinja2 (>= 3.0~),
                python3-jsonschema,
                python3-nbformat,
-               python3-networkx <!nocheck>,
                python3-pandas <!nocheck>,
                python3-pkg-resources,
                python3-psutil,
                python3-pulp (>= 2.0~),
                python3-pygments <!nocheck>,
-               python3-pygraphviz <!nocheck>,
                python3-pytest <!nocheck>,
 # sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools <!nocheck>,
@@ -83,11 +80,10 @@
             imagemagick,
             python3-tz,
             python3-yappi,
-# for the reports feature
-            python3-jinja2,
-            python3-networkx,
+# for the templating and reports features
+            python3-jinja2 (>= 3.0~),
             python3-pygments,
-            python3-pygraphviz,
+# we don't have python3-yte (>= 1.0~)
 # for distributed / cloud setups or online data access
             python3-azure-storage,
             python3-biopython,
@@ -99,6 +95,7 @@
             python3-ftputil,
             python3-irodsclient,
             python3-kubernetes,
+# we don't have python3-retry, #961109
             python3-urllib3
 Suggests: snakemake-doc
 Description: pythonic workflow management system
