=== debian/tests/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Tests: run-unit-test
 Depends: snakemake,
          environment-modules,
+         graphviz,
          r-base-core,
          python3-connection-pool,
          python3-ftputil,
-         python3-jinja2,
+         python3-jinja2 (>= 3.0~),
          python3-pandas,
-         python3-pygraphviz,
          python3-pytest,
          python3-requests-mock,
          stress
