## snakemake 7.8.5

=== debian/changelog ===
snakemake (7.8.5-2) unstable; urgency=medium

  * Team upload.
  * Do not run second lot of tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Jul 2022 15:49:32 +0530

snakemake (7.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.8.5
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Jul 2022 21:51:30 +0530

snakemake (7.8.3-2) unstable; urgency=medium

  * Team upload.
  * Propagate build time test ignores in autopkgtest as well
  * Add python3-pygments to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 20:53:15 +0530
