=== debian/tests/control ===
--- 
+++ 
@@ -15,5 +15,7 @@
          python3-pandas,
          python3-pytest,
          python3-requests-mock,
+         python3-pygments,
          stress
 Restrictions: allow-stderr, needs-internet
+Architecture: !s390x
