## snakemake 7.9.0

=== debian/changelog ===
snakemake (7.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Fix lintian syntax
  * Use Debian packaged bootstrap and jquery for privacy reasons
  * Add README.Debian to give a hint about potential issues inside
    the replaced jquery interface.
  * Build-Depends: pybuild-plugin-pyproject

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jul 2022 12:10:25 +0200
