=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cwltool,
                debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                environment-modules,
                imagemagick,
                python3,
@@ -30,7 +31,6 @@
                python3-pulp (>= 2.0~),
                python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
-# sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools <!nocheck>,
                python3-ratelimiter,
                python3-recommonmark <!nodoc>,
@@ -50,7 +50,7 @@
                python3-yaml,
                r-cran-rmarkdown,
                stress <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://snakemake.readthedocs.io/
@@ -76,6 +76,8 @@
          python3-toposort,
          python3-wrapt,
          python3-yaml,
+         libjs-bootstrap,
+         libjs-jquery,
 Recommends: cwltool,
             imagemagick,
             python3-tz,
