## snakemake 7.12.0

=== debian/changelog ===
snakemake (7.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.12.0
  * Refresh, re-diff patches
  * Add python3-pytest-mock to B-D and test dep
  * Update test_from_any_directory.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 29 Jul 2022 19:23:21 +0530
