## snakemake 7.12.1

=== debian/changelog ===
snakemake (7.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 16:45:00 +0200
