=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
                python3-recommonmark <!nodoc>,
                python3-requests,
                python3-requests-mock <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-rpy2 <!nocheck>,
                python3-setuptools,
                python3-smart-open (>= 3.0~),
