=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
          python3-pandas,
          python3-pytest,
          python3-requests-mock,
+         python3-pytest-mock,
          python3-pygments,
          stress
 Restrictions: allow-stderr, needs-internet
