## snakemake 7.19.1

=== debian/changelog ===
snakemake (7.19.1-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Skip slurm tests since slurm is not setup at build time
  * Suggests: slurm-client
  * Skip lint test that is known to fail
  * Skip workflow test that is known to fail

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 07:29:29 +0100
