=== debian/control ===
--- 
+++ 
@@ -46,12 +46,13 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-stopit,
                python3-tabulate,
+               python3-throttler <!nocheck>,
                python3-toposort <!nocheck>,
                python3-wrapt,
                python3-yaml,
                r-cran-rmarkdown,
                stress <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://snakemake.readthedocs.io/
@@ -100,7 +101,8 @@
             python3-kubernetes,
 # we don't have python3-retry, #961109
             python3-urllib3
-Suggests: snakemake-doc
+Suggests: slurm-client,
+          snakemake-doc
 Description: pythonic workflow management system
  Build systems like GNU Make are frequently used to create complicated
  workflows, e.g. in bioinformatics. This project aims to reduce the
@@ -118,6 +120,7 @@
 Breaks: snakemake (<< 6.14)
 Replaces: snakemake (<< 6.14)
 Section: doc
+Multi-Arch: foreign
 Description: documentation for pythonic workflow management system
  Build systems like GNU Make are frequently used to create complicated
  workflows, e.g. in bioinformatics. This project aims to reduce the
