## snakemake 7.20.0

=== debian/changelog ===
snakemake (7.20.0-1) unstable; urgency=medium

  * New upstream release.  Refresh patches, d/copyright.
  * Use packaged python3-retry.
  * Don't try to use local Javascript in GUI, as this is risky.
    (Closes: #1019317)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 02 Feb 2023 07:28:24 +0000
