## snakemake 7.21.0

=== debian/changelog ===
snakemake (7.21.0-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 07 Feb 2023 21:19:40 +0000
