=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
                python3-recommonmark <!nodoc>,
                python3-requests,
                python3-requests-mock <!nocheck>,
+               python3-retry,
                python3-pytest-mock <!nocheck>,
                python3-rpy2 <!nocheck>,
                python3-setuptools,
@@ -99,7 +100,7 @@
             python3-ftputil,
             python3-irodsclient,
             python3-kubernetes,
-# we don't have python3-retry, #961109
+            python3-retry,
             python3-urllib3
 Suggests: slurm-client,
           snakemake-doc
