=== debian/rules ===
--- 
+++ 
@@ -51,14 +51,6 @@
 
 execute_after_dh_installdocs:
 	find debian -name '__pycache__' -o name '.gitignore' | xargs rm -rf
-	# Attention: Upstream is using jquery 2.1.1 while the replacement below is using the packaged version 3.5.13 - no idea whether this might break anything
-	for html in `find debian -name "*.html"` ; do \
-	    sed -i \
-		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/[^/]*/css/bootstrap.min.css#file:///usr/share/javascript/bootstrap/css/bootstrap.min.css#g' \
-		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/[^/]*/js/bootstrap.min.js#file:///usr/share/javascript/bootstrap/js/bootstrap.min.js#g' \
-		-e 's#https://cdnjs.cloudflare.com/ajax/libs/jquery/[^/]*/jquery.min.js#file:///usr/share/javascript/jquery/jquery.min.js#g' \
-		    $${html} ; \
-	done
 
 # the modules.sh is a workaround for #928826; putting it in PYBUILD_BEFORE_TEST_python3 doesn't work
 override_dh_auto_test:
