## snakemake 7.32.4

=== docs/requirements.txt ===
sphinx >=3
sphinxcontrib-napoleon
sphinx-argparse
sphinx_rtd_theme
docutils
myst-parser
configargparse
appdirs
