=== debian/changelog ===
snakemake (7.32.4-7) unstable; urgency=medium

  * Tests: treat more tests as flaky (try 3 times)
    (workaround for #1095394),
    use json not print for consistent formatting,
    use svg not pdf for compatibility with graphviz 12.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Feb 2025 20:56:35 +0000

snakemake (7.32.4-6) unstable; urgency=medium

  * Stop using pkg_resources. (Closes: #1083775)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Oct 2024 19:09:12 +0100

snakemake (7.32.4-5) unstable; urgency=medium

  * Tests: revert extra debug output.
  * Tests: make test_*_solver actually call the solver.
  * Tests: allow extra time to avoid failing on riscv64.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 07 Aug 2024 07:57:41 +0100

snakemake (7.32.4-4) unstable; urgency=medium

  * Skip tests that crash in persistent_dict because
    Debian's pytools is too old (workaround for #1076925).
  * Tests: add extra debug output to test_cluster_cancel*.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 03 Aug 2024 13:49:07 +0100

snakemake (7.32.4-3) unstable; urgency=medium

  * Use platformdirs not appdirs.  (Closes: #1068010)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Apr 2024 11:37:02 +0100

snakemake (7.32.4-2) unstable; urgency=medium

  * Tests: don't mix tabs and spaces, as Python 3.12 rejects this.
  * Adapt to f-strings being tokenized in Python 3.12.
    (together, Closes: #1061761)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 09 Feb 2024 19:11:23 +0000

snakemake (7.32.4-1) unstable; urgency=medium

  * New upstream release.  Update d/copyright and patches.
  * Skip newly added tests that we can't run.
  * Clean up after docs build.  (Closes: #1045316)
  * Depend on python3-yte.
  * Fix crash in config handling.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 27 Nov 2023 20:19:37 +0000

snakemake (7.21.0-2) unstable; urgency=medium

  * Add timeout to tests (giving a traceback when they hang).
  * Docs: allow building with Sphinx 7.  (Closes: #1042692)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Aug 2023 22:24:25 +0100
