=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                dh-python,
                pybuild-plugin-pyproject,
                environment-modules,
+               glpk-utils <!nocheck>,
                imagemagick,
                python3,
-               python3-appdirs <!nocheck>,
+               python3-platformdirs <!nocheck>,
                python3-biopython <!nocheck>,
                python3-boto3 <!nocheck>,
                python3-botocore <!nocheck>,
@@ -25,8 +26,8 @@
                python3-jinja2 (>= 3.0~),
                python3-jsonschema,
                python3-nbformat,
+               python3-packaging,
                python3-pandas <!nocheck>,
-               python3-pkg-resources,
                python3-psutil,
                python3-pulp (>= 2.0~),
                python3-pygments <!nocheck>,
@@ -51,9 +52,10 @@
                python3-toposort <!nocheck>,
                python3-wrapt,
                python3-yaml,
+               python3-yte <!nocheck>,
                r-cran-rmarkdown,
                stress <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://snakemake.readthedocs.io/
@@ -64,14 +66,14 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ca-certificates,
-         python3-appdirs,
+         python3-platformdirs,
          python3-configargparse,
          python3-datrie,
          python3-docutils,
          python3-git,
          python3-jsonschema,
          python3-nbformat,
-         python3-pkg-resources,
+         python3-packaging,
          python3-psutil,
          python3-pulp (>= 2.0~),
          python3-ratelimiter,
@@ -79,6 +81,7 @@
          python3-toposort,
          python3-wrapt,
          python3-yaml,
+         python3-yte,
          libjs-bootstrap,
          libjs-jquery,
 Recommends: cwltool,
@@ -88,7 +91,6 @@
 # for the templating and reports features
             python3-jinja2 (>= 3.0~),
             python3-pygments,
-# we don't have python3-yte (>= 1.0~)
 # for distributed / cloud setups or online data access
             python3-azure-storage,
             python3-biopython,
